--- title: "Get the DXL Integration Configuration for Domain" slug: "get-the-dxl-integration-configuration-for-domain-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-the-dxl-integration-configuration-for-domain-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the DXL Integration Configuration for Domain This URL retrieves the DXL integration configuration for domain. ### Resource URL GET /domain//dxlintegration ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainId` | Domain id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | | `enableDXL` | DXL is enabled or not | Boolean | ### Example **Request** GET [https:///sdkapi/domain/0/dxlintegration](https://<NSM_IP>/sdkapi/domain/0/dxlintegration) **Response** ``` {       "inheritSettings": true,       "enableDXL": true    } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |